# Notes

- Need to reintroduce the audio processing for reacting to music
- Figure out a mechanism for introducing repetition into the object graph that can be controlled from the cue animations – i.e., be able to control the number of repeated objects

```python

with Repeat(id='stars', count=1):
    with Path(tags='star'):
        pass

with Cue('Qxx'):
    Match('#stars').count = sine(t / 10) * 50
    with Match('.star') as m:
        m.x = uniform('Qxx.x')[i] * width
        m.y = uniform('Qxx.x')[i] * height
        m.color = hsv(i / n, 1, 1)
```

- Would need to be able to identify objects via something other than their _id_ – perhaps indexed instead?
- `KitObject.select()` method would need to know how to return these repeated objects
